New
For authentication instructions, see API overview.
Endpoints
get
List all new templates
Returns a list of new templates. The new templates are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/new_templatesResponse
No response schemapost
Create new templates
Create new templates. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
typestringdescriptionstringsubjectstringbodystringcategoriesarraymodulesarrayusersarraypublicboolean
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/new_templates \ -d 'type="email"' \ -d 'description="description1"' \ -d 'subject="Hello, Monem"' \ -d 'body="Hello, Monem how are you?"' \ -d 'categories="array"' \ -d 'modules="array"' \ -d 'users="array"' \ -d 'public=true'Response
No response schemaget
Retrieve new templates
Returns a single new template, which you can request by passing through an id in the url.
Path parameters
idstringID of the new template
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/new_templates/:idResponse
No response schemaput
Update new templates
Path parameters
idstringID of the new template
Request body
typestringdescriptionstringsubjectstringbodystringcategoriesarraymodulesarrayusersarraypublicboolean
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/new_templates/:id \ -d 'type="email"' \ -d 'description="description1"' \ -d 'subject="Hello, Monem"' \ -d 'body="Hello, Monem how are you?"' \ -d 'categories="array"' \ -d 'modules="array"' \ -d 'users="array"' \ -d 'public=true'Response
No response schemapatch
Update new templates soft
Update new templates soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the new template
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/new_templates/:idResponse
No response schemadelete
Delete new templates
Path parameters
idstringID of the new template
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/new_templates/deleted/:id